% Readme.m

% File describes the code that reproduces the results in Section 4.1 
%
% `Estimation and Solution of Models with Expectations and Structural Changes' 
%
%           by Mariano Kulish and Adrian Pagan, Journal of Applied Econometrics 
%
%        

% figure_paper.m
%
% Running this file produces the figure in section 4.1 of the paper. 


% responses.m
%
% Computes the responses of the variables to be plotted by figure_paper.m


% smatsbp.m
%
% Computes the rational expectations solution matrices for the system written in the
% form of Binder and Pesaran. 